MixinInMetaClass (groovy 2.5.0 API)
Date: 2018-05-27

Package: org.codehaus.groovy.reflection

## [Java] Class MixinInMetaClass

- org.codehaus.groovy.reflection.MixinInMetaClass

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class ManagedConcurrentMap` | `bundle`
    `class AbstractConcurrentMapBase` | `MAXIMUM_CAPACITY, segments`

  - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `Object` | `mixinInstance`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `MixinInMetaClass (ExpandoMetaClass emc, CachedClass mixinClass)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `boolean` | `equals(Object o)`
    `` | `CachedClass` | `getInstanceClass()`
    `` | `CachedClass` | `getMixinClass()`
    `` | `Object` | `getMixinInstance(Object object)`
    `` | `int` | `hashCode()`
    `` | `static void` | `mixinClassesToMetaClass(MetaClass self, List<Class> categoryClasses)`
    `` | `void` | `setMixinInstance(Object object, Object mixinInstance)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class ManagedConcurrentMap` | `createSegment`
    `class AbstractConcurrentMap` | `get, getOrPut, put, remove, segmentFor`
    `class AbstractConcurrentMapBase` | `createSegment, fullSize, hash, segmentFor, size, values`
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Property Detail

    - #### Object mixinInstance

  - ### Constructor Detail

    - #### public MixinInMetaClass(ExpandoMetaClass emc, CachedClass mixinClass)

  - ### Method Detail

    - #### public boolean equals(Object o)

    - #### public CachedClass getInstanceClass()

    - #### public CachedClass getMixinClass()

    - #### public Object getMixinInstance(Object object)

    - #### public int hashCode()

    - #### public static void mixinClassesToMetaClass(MetaClass self, List<Class> categoryClasses)

    - #### public void setMixinInstance(Object object, Object mixinInstance)